/*
 * Weapon.h
 *
 *  Created on: 03/apr/2013
 *      Author: bertini
 */

#ifndef WEAPON_H_
#define WEAPON_H_

#include "Dice.h"

class Weapon {
public:
	Weapon(int st = 6, bool m = false);
	int useWeapon();
	int getStrength() const {
		return strength;
	}
	void setStrength(int strength) {
		this->strength = strength;
	}
	bool isMagic() const {
		return magic;
	}
	void setMagic(bool magic) {
		this->magic = magic;
	}
	bool operator==(Weapon& right);

private:
	int strength;
	bool magic;
};

#endif /* WEAPON_H_ */
